Bug 1373835 - Ciphers and MACs enabled by default differ from upstream OpenSSH 6.7 with security implications.
Summary: Ciphers and MACs enabled by default differ from upstream OpenSSH 6.7 with sec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
: 1417263 (view as bug list)
Depends On:
Blocks: 1377248 1335929 1417264
TreeView+ depends on / blocked
 
Reported: 2016-09-07 08:54 UTC by Jakub Svoboda
Modified: 2019-07-16 16:46 UTC (History)
10 users (show)

Fixed In Version: openssh-7.4p1-1.el7
Doc Type: Deprecated Functionality
Doc Text:
OpenSSH upstream removes several ciphers with questionable security from the release. This update is trying to follow this trend while leaving most of the backward compatibility. Since last update we removed from Server&Client proposal: * Hostkey algorithms: ssh-rsa-cert-v00@openssh.com,ssh-dss-cert-v00@openssh.com (deprecated) * Ciphers: arcfour256,arcfour128,arcfour,rijndael-cbc@lysator.liu.se (RC4 is broken, rijndael-cbc quite much unused alias for AES) * MACs: hmac-md5,hmac-md5-96,hmac-md5-96-etm@openssh.com,hmac-md5-etm@openssh.com,hmac-ripemd160,hmac-ripemd160-etm@openssh.com,hmac-ripemd160@openssh.com,hmac-sha1-96,hmac-sha1-96-etm@openssh.com (MD5, truncated SHA-1, RIPEMD160) Since last update we removed from client proposal: * Ciphers: blowfish-cbc,cast128-cbc,3des-cbc (in addition to the above) - non-essential and possibly broken.
Clone Of:
Environment:
Last Closed: 2017-08-01 18:42:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2029 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2017-08-01 18:11:55 UTC

Description Jakub Svoboda 2016-09-07 08:54:18 UTC
Description of problem:
The default configuration of openssh-server 6.7 disables some of the supported Ciphers and MACs. "In particular, CBC ciphers and arcfour* are disabled by default." [1]. MACs that are disabled by default are *md5*, *ripemd160*, *sha1*96*.

Version-Release number of selected component (if applicable):
openssh-6.6.1p1-25.el7_2

How reproducible:
always

Steps to Reproduce:

1. yum distribution-synchronization  # just to ensure the latest RHEL is installed

2. rm /etc/ssh/sshd_config

3. yum reinstall openssh-server      # recreates default /etc/ssh/sshd_config

4. sshd -T | grep -i "Ciphers\|MACs" # lists currently enabled Ciphers and MACs


Actual results:
The default enabled Ciphers include *cbc*, *arcfour*.
The default enabled MACs include *md5*, *ripemd160*, *sha1*96*.

Actual results of the command sshd -T | grep -i "Ciphers\|MACs"
ciphers 3des-cbc,blowfish-cbc,cast128-cbc,arcfour,arcfour128,arcfour256,aes128-cbc,aes192-cbc,aes256-cbc,rijndael-cbc@lysator.liu.se,aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com,chacha20-poly1305@openssh.com
macs hmac-sha1,hmac-sha1-96,hmac-sha2-256,hmac-sha2-512,hmac-md5,hmac-md5-96,hmac-ripemd160,hmac-ripemd160@openssh.com,umac-64@openssh.com,umac-128@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha1-96-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-md5-etm@openssh.com,hmac-md5-96-etm@openssh.com,hmac-ripemd160-etm@openssh.com,umac-64-etm@openssh.com,umac-128-etm@openssh.com


Expected results:
Defaults follow recent OpenSSH upstream versions.
These Ciphers are disabled by default: *cbc*, *arcfour*.
These MACs are disabled by default: *md5*, *ripemd160*, *sha1*96*.

Expected results of the command sshd -T | grep -i "Ciphers\|MACs"
ciphers aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com,chacha20-poly1305@openssh.com
macs hmac-sha1,hmac-sha2-256,hmac-sha2-512,hmac-ripemd160,hmac-ripemd160@openssh.com,umac-64@openssh.com,umac-128@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-ripemd160-etm@openssh.com,umac-64-etm@openssh.com,umac-128-etm@openssh.com


Additional info:
* Red Hat's KB article about insecure Ciphers and MACs recommends non-default values [3]
* The latest RH-shipped version is 6.6.1p1 / 5.3p1; however it would be good to follow current security recommendations regarding the defaults.
* We have a Red Hat Insights rule for OpenSSH hardening that would get activated once the defaults in the openssh-server package are fixed. Red Hat Insights is a service to notify enrolled customers about problems on their systems. It is best when customers are not alerted about RHEL-default values.
* OpenSSH 6.7 through 7.1 disables hmac-sha1-etm@openssh.com and hmac-sha1 but OpenSSH 7.2 reenables it.
References:
[1] http://www.openssh.com/txt/release-6.7
[2] http://www.openssh.com/txt/release-7.2
[3] https://access.redhat.com/solutions/420283

Comment 5 Jakub Jelen 2017-01-30 07:50:42 UTC
*** Bug 1417263 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2017-08-01 18:42:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2029


Note You need to log in before you can comment on or make changes to this bug.